﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v17.2, Version=17.2.20172.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v17.2, Version=17.2.20172.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebScriptManager ID="WebScriptManager" runat="server"></ig:WebScriptManager>
            <ig:WebDataGrid ID="grid" runat="server" Height="600px" Width="1000px" DataSourceID="SqlDataSource1" DataKeyFields="ProductID" AutoGenerateColumns="False">
                <Columns>
                    <ig:BoundDataField DataFieldName="ProductID" Key="ProductID" Width="10%">
                        <Header Text="ProductID"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="ProductName" Key="ProductName" Width="10%">
                        <Header Text="ProductName"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice" Width="10%">
                        <Header Text="UnitPrice"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Discontinued" Key="Discontinued" Width="10%">
                        <Header Text="Discontinued"></Header>
                    </ig:BoundDataField>
                    <%--<ig:BoundDataField DataFieldName="Comment" Key="Comment" EnableMultiline="True">
                        <Header Text="Comment"></Header>
                    </ig:BoundDataField>--%>
                </Columns>
                <Behaviors>
                    <ig:Clipboard>
                    </ig:Clipboard>
                    <ig:Sorting SortingMode="Multi">
                    </ig:Sorting>
                    <ig:VirtualScrolling>
                    </ig:VirtualScrolling>
                    <ig:EditingCore BatchUpdating="True">
                        <Behaviors>
                            <ig:CellEditing>
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="ProductID" ReadOnly="True" />
                                    <ig:EditingColumnSetting ColumnKey="ProductName" ReadOnly="True" />
                                    <ig:EditingColumnSetting ColumnKey="UnitPrice" />
                                    <ig:EditingColumnSetting ColumnKey="Discontinued" />
                                    <%--<ig:EditingColumnSetting ColumnKey="Comment" />--%>
                                </ColumnSettings>
                            </ig:CellEditing>
                            <ig:RowAdding Enabled="true">
                                <ColumnSettings>
                                    <ig:RowAddingColumnSetting ColumnKey="ProductID" ReadOnly="False" />
                                    <ig:RowAddingColumnSetting ColumnKey="ProductName" />
                                    <ig:RowAddingColumnSetting ColumnKey="UnitPrice" />
                                    <ig:RowAddingColumnSetting ColumnKey="Discontinued" />
                                    <%--<ig:RowAddingColumnSetting ColumnKey="Comment" />--%>
                                </ColumnSettings>
                                <EditModeActions EnableOnActive="True" EnableOnKeyPress="True" />
                            </ig:RowAdding>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:RowSelectors>
                    </ig:RowSelectors>
                    <ig:Activation>
                    </ig:Activation>
                </Behaviors>
            </ig:WebDataGrid>

            <asp:SqlDataSource ID="SqlDataSource1" runat="server"
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
                SelectCommand="SELECT [ProductID], [ProductName], [UnitPrice], [Discontinued] FROM [Products]"
                DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = ?"
                InsertCommand="INSERT INTO [Products] ([ProductID], [ProductName], [UnitPrice], [Discontinued]) VALUES (?, ?, ?, ?)"
                UpdateCommand="UPDATE [Products] SET [ProductName] = ?, [UnitPrice] = ?, [Discontinued] = ? WHERE [ProductID] = ?">
                <DeleteParameters>
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="ProductID" Type="Int32" />
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="Discontinued" Type="Boolean" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="Discontinued" Type="Boolean" />
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </UpdateParameters>
            </asp:SqlDataSource>

            <br />
            <asp:Button ID="Button1" runat="server" Text="Save" />

            <%--<asp:SqlDataSource ID="sqlDS" runat="server"
                ConnectionString="<%$ ConnectionStrings:csHealth_Promotions %>"
                InsertCommand="usp_AIM_ins_Discontinued" InsertCommandType="StoredProcedure" 
                SelectCommand="usp_AIM_get_Discontinued" SelectCommandType="StoredProcedure" 
                UpdateCommand="usp_AIM_upd_Discontinued" UpdateCommandType="StoredProcedure" >
                <InsertParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="UnitPrice" DBType="Date" />
                    <asp:Parameter Name="Discontinued" Type="Decimal" />
                    <asp:Parameter Name="Comment" Type="String" />
                </InsertParameters>
                <SelectParameters>
                    <asp:Parameter Name="ProductName" Type="String" DefaultValue="All" />
                </SelectParameters>
                <UpdateParameters>
                    <asp:Parameter Name="ProductID" Type="Int32" />
                    <asp:Parameter Name="UnitPrice" DBType="Date" />
                    <asp:Parameter Name="Discontinued" Type="Decimal" />
                    <asp:Parameter Name="Comment" Type="String" />
                </UpdateParameters>
            </asp:SqlDataSource>--%>
   

        </div>
    </form>
</body>
</html>
